haskell-gi-0.26.17: Generate Haskell bindings for GObject Introspection capable libraries

Safe Haskell | Safe-Inferred
Language | Haskell2010

Data.GI.CodeGen.PkgConfig

Synopsis

- pkgConfigGetVersion :: Text -> Text -> [Text] -> Bool -> Map Text Text -> IO (Maybe (Text, Text))
- tryPkgConfig :: Text -> IO (Maybe (Text, Text))

# Documentation

pkgConfigGetVersion :: Text -> Text -> [Text] -> Bool -> Map Text Text -> IO (Maybe (Text, Text)) Source #

Get the pkg-config name and associated installed version of a given gobject-introspection namespace. Since the mapping is not one-to-one some guessing is involved, although in most cases the required information is listed in the GIR file.

tryPkgConfig :: Text -> IO (Maybe (Text, Text)) Source #

Try asking pkg-config for the version of a given module, and return the package name together with its version.